This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986835 - [RFE][RHS-RHOS] Glance volume should mount automatically
[RFE][RHS-RHOS] Glance volume should mount automatically
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 04:25 EDT by shilpa
Modified: 2017-09-29 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shilpa 2013-07-22 04:25:30 EDT
Description of problem:
Glance volume not automatically mounted afer openstack node reboot. VM instances shutdown and cannot be powered on.

Version-Release number of selected component (if applicable):
RHOS version: Grizzly 2013.1.2
RHS version: glusterfs-3.3.0.11rhs

How reproducible:
Always

Steps to Reproduce:
1. Create a glance volume on the RHS cluster.
 #gluster v create glance-vol /RHS/brick1,..
2. Fuse mount the glance volume on the openstack node.
 #mount -t glusterfs 10.70.37.195:/glance-vol /mnt/gluster
3. Reboot openstack node without adding the mountpoint entry in the /etc/fstab.
4. Glance volume not mounted anymore. All the instances are shutdown and cannot power them up. 


Actual results:

Instances are shutdown. Cannot power them up after the openstack node is up. Have to delete and recreate them. 


Expected results:

Like cinder volume entry in the /etc/cinder/shares.conf, it would be good to a similar volume entry for glance. This avoids loss of VM instances if one forgets to update the /etc/fstab with glance mount.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.